Alembic: Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty Class Reference
Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty:

## Public Types
typedef IArrayProperty | this_type

## Public Member Functions
| IArrayProperty ()
| IArrayProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| IArrayProperty (AbcA::ArrayPropertyReaderPtr iPtr, const Argument &iArg0=Argument())
| IArrayProperty (AbcA::ArrayPropertyReaderPtr iPtr, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument())
| ~IArrayProperty ()
size_t | getNumSamples () const
bool | isConstant () const
bool | isScalarLike () const
| Ask if we are like a scalar - we have 1 and only 1 DataType per sample.
AbcA::TimeSamplingPtr | getTimeSampling () const
| Time information.
void | get (AbcA::ArraySamplePtr &oSample, const ISampleSelector &iSS=ISampleSelector()) const
void | getAs (void *oSample, AbcA::PlainOldDataType iPod, const ISampleSelector &iSS=ISampleSelector())
| Get a sample into the address of a datum as a particular POD type.
void | getAs (void *oSample, const ISampleSelector &iSS=ISampleSelector())
bool | getKey (AbcA::ArraySampleKey &oKey, const ISampleSelector &iSS=ISampleSelector()) const
void | getDimensions (Util::Dimensions &oDim, const ISampleSelector &iSS=ISampleSelector()) const
| Get the dimensions of the datum.
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ArrayPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::ArrayPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ArrayPropertyReaderPtr >
typedef IBasePropertyT< AbcA::ArrayPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::ArrayPropertyReaderPtr > | operator_bool_base_type
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ArrayPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ArrayPropertyReaderPtr >
AbcA::ArrayPropertyReaderPtr | m_property

## Member Typedef Documentation

## ◆ this_type

typedef IArrayProperty Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty::this_type

By convention we always define this_type in Abc classes Used by unspecified-bool-type conversion below

## Constructor & Destructor Documentation

## ◆ IArrayProperty() [1/3]

Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty::IArrayProperty | ( |  | ) |
| inline

The default constructor creates an empty IArrayProperty function set. ...

## ◆ IArrayProperty() [2/3]

Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty::IArrayProperty | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

This constructor creates a new array property reader. The first argument is the parent ICompundProperty, from which the error handler policy for inheritance is also derived. The remaining optional arguments can be used to override the ErrorHandlerPolicy, and that's it.

## ◆ IArrayProperty() [3/3]

Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty::IArrayProperty | ( | AbcA::ArrayPropertyReaderPtr | iPtr,
|  | const Argument & | iArg0 = Argument() )
| inline

This attaches an IArrayProperty wrapper around an existing ArrayPropertyReaderPtr, with an optional error handling policy.

Parameters

  iPtr | The pointer ...
  iArg0 | Optional error handling policy ...

## ◆ ~IArrayProperty()

Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty::~IArrayProperty | ( |  | ) |

Default copy constructor used Default assignment operator used.

Destructor ...

## Member Function Documentation

## ◆ get()

void Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty::get | ( | AbcA::ArraySamplePtr & | oSample,
|  | const ISampleSelector & | iSS = ISampleSelector() ) const

Get a sample into the address of a datum. ...

## ◆ getAs()

void Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty::getAs | ( | void * | oSample,
|  | const ISampleSelector & | iSS = ISampleSelector() )

Get a sample into the address of a datum as the POD type of this array property.

## ◆ getKey()

bool Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty::getKey | ( | AbcA::ArraySampleKey & | oKey,
|  | const ISampleSelector & | iSS = ISampleSelector() ) const

Get a key from an address of a datum. ...

## ◆ getNumSamples()

size_t Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty::getNumSamples | ( |  | ) | const

Return the number of samples contained in the property. This can be any number, including zero. This returns the number of samples that were written, independently of whether or not they were constant.

## ◆ getParent()

ICompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty::getParent | ( |  | ) | const

Return the parent compound property, handily wrapped in a ICompoundProperty wrapper.

## ◆ isConstant()

bool Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty::isConstant | ( |  | ) | const

Ask if we're constant - no change in value amongst samples, regardless of the time sampling.

The documentation for this class was generated from the following files:

- Abc/IArrayProperty.h
- Abc/IArrayProperty.cpp